package com.theitbulls.activitytofragmentdatademo;

import android.os.Bundle;
import android.view.View;
import android.widget.RadioGroup;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatEditText;

import com.theitbulls.activitytofragmentdatademo.ui.main.DataFragment;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_activity);

    }

    public void showData(View view) {
        AppCompatEditText etName = findViewById(R.id.etName);
        AppCompatEditText etAge = findViewById(R.id.etAge);

        final boolean[] gender = {false};
        String name = etName.getText().toString();
        int age = Integer.parseInt(etAge.getText().toString());

        RadioGroup radioGroup = findViewById(R.id.rbg);
        radioGroup.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int i) {
                int id = radioGroup.getCheckedRadioButtonId();
                gender[0] = id == R.id.rbMale;
            }
        });

        DataFragment fragment = DataFragment.newInstance();
        Bundle bundle = new Bundle();
        bundle.putString("name", name);
        bundle.putInt("age", age);
        bundle.putBoolean("gender", gender[0]);
        fragment.setArguments(bundle);

        getSupportFragmentManager().beginTransaction().replace(R.id.container, fragment).commitNow();
    }
}
